Bug 3712 - ifup-aliases doesn't honor gateways on the aliased interface
ifup-aliases doesn't honor gateways on the aliased interface
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 1999-06-24 15:33 EDT by hagoprm
Modified: 2014-03-16 22:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-09-20 15:17:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description hagoprm 1999-06-24 15:33:42 EDT
The ifup-aliases script does not check if the gateway (in
/etc/sysconfig/network) is on an aliased interface. While
not common, it turns out to be a major inconvience when the
primary interface is the internal network (ie. 10.x.x.x on
eth0) and the aliased interface (DSL, cable modem, etc) has
the gateway on it.

The "solution" would be to put the gateway interface on eth0
and have eth0:0 be the internal network, but this could
conceivably fail if the gateway interface fails to come up
and then the aliased interface can't be created.
Comment 1 Jay Turner 1999-06-28 10:41:59 EDT
This issue has been forwarded to a developer for further action.
Comment 2 Bill Nottingham 1999-09-20 15:17:59 EDT
You should be able to change the 'GATEWAYDEV' parameter in

ifup-aliases has been rewritten for the next release,
and it should fix this.

Note You need to log in before you can comment on or make changes to this bug.